# List Networks - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpus-v2-list-vpc

# List Networks

GET

/

gpus

/

v2

/

networks

Try it

List Networks

cURL

```
curl --request GET \
--url https://api.novita.ai/gpus/v2/networks \
--header 'Authorization: &#x3C;authorization>'
```

```
import requestsurl = "https://api.novita.ai/gpus/v2/networks"headers = {"Authorization": "&#x3C;authorization>"}response = requests.get(url, headers=headers)print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: '&#x3C;authorization>'}};fetch('https://api.novita.ai/gpus/v2/networks', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/gpus/v2/networks", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"net/http"	"io")func main() {	url := "https://api.novita.ai/gpus/v2/networks"	req, _ := http.NewRequest("GET", url, nil)	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.get("https://api.novita.ai/gpus/v2/networks") .header("Authorization", "&#x3C;authorization>") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/gpus/v2/networks")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Get.new(url)request["Authorization"] = '&#x3C;authorization>'response = http.request(request)puts response.read_body
```

200

```
{
"data": [
{
"id": "network-abc123",
"owner_id": "user-abc123",
"name": "dev-vpc",
"status": {
"status": "running",
"error": "",
"message": ""
},
"cidr": "10.0.0.0/24",
"region_id": "cluster-abc123",
"instances": [
{
"id": "instance-abc123",
"ip": "10.0.0.10"
}
],
"created_at": 1710000000,
"member_id": "550e8400-e29b-41d4-a716-446655440000"
}
],
"next_cursor": "eyJpZCI6Im5ldHdvcmstYWJjMTIzIn0",
"has_more": true
}
```

#### Headers

[​](#parameter-authorization)

Authorization

string

required

Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.

#### Query Parameters

[​](#parameter-limit)

limit

integer

Page size. Integer, value >= 0.

[​](#parameter-cursor)

cursor

string

Pagination cursor. String, length: 0-1024 characters.

[​](#parameter-name)

name

string

Filter by Network name. String, length: 0-255 characters.

[​](#parameter-member-ids)

member_ids

string

Filter by member ID. Multiple IDs are comma-separated. String, length: 0-255 characters.

#### Response

200 - application/json

OK

[​](#response-data)

data

object[]

Network list

Show child attributes

[​](#response-next-cursor)

next_cursor

string

Cursor for the next page. Empty string when there is no next page

Example:

`"eyJpZCI6Im5ldHdvcmstYWJjMTIzIn0"`

[​](#response-has-more)

has_more

boolean

Whether there are more pages

Example:

`true`

Last modified on June 23, 2026
